IF OBJECT_ID('V_CAD_UNICO_DEPARAS_FP_FUNC') IS NOT NULL
BEGIN
	DROP VIEW V_CAD_UNICO_DEPARAS_FP_FUNC
END

GO

CREATE VIEW V_CAD_UNICO_DEPARAS_FP_FUNC
AS
	SELECT DISTINCT 
		F.CD_FILIAL,
		B.CD_BANDEIRA,
		D.CD_CTR_FK AS CD_FUN_BANDEIRA, -- matricula do funcionário na looja
		D.CD_CTR_PK AS CD_FUN		--- código do funcionário na base única

	FROM 
		PRC_FILIAL F INNER JOIN PRC_BANDEIRA_PRC_FILIAL B ON 
		F.CD_EMP = B.CD_EMP AND 
		F.CD_FILIAL = B.CD_FILIAL
		INNER JOIN CAD_UNICO_DEPARAS D ON 
		D.TABELA = 'FP_FUNC' AND
		D.BANDEIRA = B.CD_BANDEIRA






